]> git.sesse.net Git - mlt/blobdiff - src/modules/configure
Feeds pseudo module added
[mlt] / src / modules / configure
index b33bc3700b3fd54522a018f6318bb8b1df848ef7..83b27c8fc16e74f6f03ff3d18894ae077629e1c0 100755 (executable)
@@ -1,10 +1,13 @@
-#!/bin/bash
+#!/bin/sh
 
 # Clean up disables if not in help mode
 [ "$help" != "1" ] && rm -f disable-* producers.dat filters.dat transitions.dat consumers.dat
 
+# Create the make.inc file
+echo SUBDIRS = `find . -type d -maxdepth 1 | grep -v CVS | grep -v "^.$" | sed 's/\.\///'` > make.inc
+
 # Iterate through arguments
-for i in $*
+for i in "$@"
 do
        case $i in
                --disable-* )   touch disable-${i#--disable-} ;;
@@ -16,11 +19,18 @@ for i in *
 do
        if [ -x $i/configure -a \( "$help" = "1" -o ! -f disable-$i \) ]
        then
-               echo "Configuring modules/$i:"
-               pushd $i > /dev/null
-               ./configure $@
-               [ $? != 0 ] && exit 1
-               popd > /dev/null
+               if [ "$gpl" = "true" -o ! -f $i/gpl ]
+               then
+                       [ "$help" = "0" ] && echo "Configuring modules/$i:"
+                       olddir2=`pwd`
+                       cd $i
+                       ./configure "$@"
+                       [ $? != 0 ] && exit 1
+                       cd $olddir2
+               elif [ "$help" = "0" ]
+               then
+                       touch disable-$i
+               fi
        fi
 done